<template>
  <div class="cpf-nota">
    <modals-container />
    <div class="container">
      <div class="text">
        Coloque o CPF na nota e doe para o Instituto!
      </div>
      <div>
        <v-button
          shape="secondary"
          size="sm"
          @click="showDynamicComponentModal()"
        >
          Veja como
        </v-button>
      </div>
    </div>
  </div>
</template>

<script>
import VButton from './VButton.vue';
import TheModalCpf from '@/components/TheModalCpf.vue';

export default {
  name: 'TheCpfNota',
  components: {
    VButton,
    // TheModalCpf,
  },
  methods: {
    showDynamicComponentModal() {
      this.$modal.show(
        TheModalCpf,
        {},
        {
          height: 'auto',
          width: '90%',
          scrollable: true,
        },
      );
    },
  },
};
</script>

<style lang="stylus" scoped>
.cpf-nota
  width 100%
  height 8.8rem
  display flex
  justify-content center
  align-items center
  background linear-gradient(87.73deg, var(--color-primary) 0.15%, var(--color-secondary) 34.93%, var(--color-primary) 95.81%)


.text
  font-size 2.4rem
  color white

.container
  max-width var(--width-page)
  width 100%
  display flex
  justify-content space-between
  align-items center
  padding 0 2rem

@media screen and (max-width: 600px)
  .call
    display none

  .container
    justify-content center
    padding 0
    flex-direction column

  .text
    font-size 1.8rem
    margin-bottom 1rem
</style>
